import java.io.*;
import java.util.*;

public class race_nn implements Runnable {
    public static void main(String[] args) {
        new race_nn().run();
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;
        boolean eof;
        String buf;

        public FastScanner(String fileName) throws FileNotFoundException {
            br = new BufferedReader(new FileReader(fileName));
            nextToken();
        }

        public FastScanner(InputStream stream) {
            br = new BufferedReader(new InputStreamReader(stream));
            nextToken();
        }

        String nextToken() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (Exception e) {
                    eof = true;
                    break;
                }
            }
            String ret = buf;
            buf = eof ? "-1" : st.nextToken();
            return ret;
        }

        int nextInt() {
            return Integer.parseInt(nextToken());
        }

        long nextLong() {
            return Long.parseLong(nextToken());
        }

        double nextDouble() {
            return Double.parseDouble(nextToken());
        }

        void close() {
            try {
                br.close();
            } catch (Exception e) {

            }
        }

        boolean isEOF() {
            return eof;
        }
    }

    FastScanner sc;
    PrintWriter out;

    private static final String FN = "race";

    public void run() {
        Locale.setDefault(Locale.US);
        try {
            sc = new FastScanner(FN + ".in");
            out = new PrintWriter(FN + ".out");
            solve();
            sc.close();
            out.close();
        } catch (Throwable e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    void doAssert(boolean isRight, String s) {
        if (!isRight)
            throw new AssertionError(s);
    }

    double solveIt(int t, int v, int x) {
        double curTime = ((x - 1) / (t * v)) * (2 * t);
        int y = (x % (t * v));
        if (y == 0) {
            y = v * t;
        }
        curTime += y / (1. * v);
        return curTime;
    }
    
    final double EPS = 1e-9;

    int compare(double a, double b) {
        return Math.abs(a - b) < EPS ? 0 : a < b ? -1 : 1;
    }

    private void solve() {
        final int N = 2;
        int[] t = new int[N];
        int[] v = new int[N];
        for (int i = 0; i < N; i++) {
            t[i] = sc.nextInt();
            v[i] = sc.nextInt();
        }
        int x = sc.nextInt();
        double t1 = solveIt(t[0], v[0], x);
        double t2 = solveIt(t[1], v[1], x);
        int ans = compare(t1, t2);
        if (ans == 0) {
            out.println("Draw");
        } else if (ans == -1) {
            out.println("First");
        } else {
            out.println("Second");
        }
    }
}
